> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query times

> Query time tracking entries for the authenticated user



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/timeTracking/times/query
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/timeTracking/times/query:
    post:
      tags:
        - Time Tracking - Times
      summary: Query times
      description: Query time tracking entries for the authenticated user
      operationId: queryTimes
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TimesGetParam'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponseTimeGetDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    TimesGetParam:
      type: object
      properties:
        cursor:
          type: string
          description: Cursor from the previous paginated response
          nullable: true
        limit:
          maximum: 250
          type: integer
          description: Page size, i.e. number of items to return per page
          format: int32
        sort:
          $ref: '#/components/schemas/TimesSort'
        filter:
          $ref: '#/components/schemas/TimesFilterParam'
    PaginatedResponseTimeGetDto:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: array
          description: The data generated by the action performed.
          items:
            $ref: '#/components/schemas/TimeGetDto'
        cursor:
          $ref: '#/components/schemas/ResponseCursor'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    TimesSort:
      type: object
      properties:
        orderBy:
          type: string
          description: Sort column
          enum:
            - DATE
            - DESCRIPTION
        direction:
          type: string
          description: Sort direction. Defaults to DESC
          enum:
            - ASC
            - DESC
      description: Sort order for the items in the response.
    TimesFilterParam:
      type: object
      properties:
        description:
          $ref: '#/components/schemas/StringFilter'
        status:
          $ref: '#/components/schemas/TimeStatusListFilter'
      description: Filter for items in the response.
    TimeGetDto:
      required:
        - customer
        - date
        - description
        - dimensionValues
        - duration
        - employee
        - id
        - invoice
        - notes
        - status
        - task
      type: object
      properties:
        id:
          type: string
          description: Id of the time entry
          example: tme_28868401
        date:
          type: string
          description: Date of the time entry
          format: date
          example: '2024-03-15'
        status:
          type: string
          description: Status of the time entry
          example: ACTIVE
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        duration:
          type: integer
          description: Duration of the time entry in milliseconds
          format: int32
          example: 3600000
        task:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TaskExpanded'
        description:
          type: string
          description: Description of the time entry
          nullable: true
          example: Worked on feature implementation
        notes:
          type: string
          description: Notes for the time entry
          nullable: true
          example: Additional context about the work
        invoice:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/InvoiceExpanded'
        customer:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/CustomerExpanded'
        dimensionValues:
          maxItems: 4
          type: array
          items:
            $ref: '#/components/schemas/DimensionValueExpanded'
        employee:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/EmployeeExpanded'
        customData:
          $ref: '#/components/schemas/JsonNode'
      description: The data generated by the action performed.
    ResponseCursor:
      type: object
      properties:
        after:
          type: string
          description: >-
            After cursor - Fetches entities after this cursor. Useful for paging
            forwards.
        before:
          type: string
          description: >-
            Before cursor - Fetches entities before this cursor. Useful for
            paging backwards.
      description: >-
        Cursor to be used in your subsequent paginated request. Only populated
        if there are more pages available.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    StringFilter:
      type: object
      properties:
        equal:
          type: string
          description: >-
            Value - returns all records with specified field equal to this
            value.
        notEqual:
          type: string
          description: >-
            Value - returns all records with specified field not equal to this
            value.
        greaterThan:
          type: string
          description: >-
            Value - returns all records with specified field greater than to
            this value.
        greaterThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field greater than or
            equal to this value.
        lessThan:
          type: string
          description: >-
            Value - returns all records with specified field less than to this
            value.
        lessThanEqual:
          type: string
          description: >-
            Value - returns all records with specified field less than or equal
            to this value.
        contain:
          type: string
          description: >-
            Value - returns all records with specified field containing this
            value.
      description: Name filter
    TimeStatusListFilter:
      type: object
      properties:
        in:
          type: array
          items:
            type: string
            enum:
              - ACTIVE
              - INACTIVE
              - REMOVED
        notIn:
          type: array
          items:
            type: string
            enum:
              - ACTIVE
              - INACTIVE
              - REMOVED
        equal:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        notEqual:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        greaterThan:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        greaterThanEqual:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        lessThan:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
        lessThanEqual:
          type: string
          enum:
            - ACTIVE
            - INACTIVE
            - REMOVED
      description: Status filter
    TaskExpanded:
      required:
        - description
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the task
          example: tmt_28868401
        description:
          type: string
          description: Description of the task
          nullable: true
          example: Development work
      description: Task associated with this time entry
      nullable: true
    InvoiceExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the invoice
        name:
          type: string
          description: Name of the invoice
        date:
          type: string
          description: Date of the invoice
          format: date
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceLineItem'
      description: Invoice associated with this time entry
      nullable: true
    CustomerExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the customer
          example: cus_4852707
        name:
          type: string
          description: Name of the customer
          example: Abigail Adams
        email:
          type: string
          description: Email of the customer
          example: abigail@tight.com
      description: Customer associated with this time entry
      nullable: true
    DimensionValueExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the dimension value
          example: dv_593051
        dimension:
          $ref: '#/components/schemas/DimensionExpanded'
        name:
          type: string
          description: Name of the dimension value
          example: Mid-Atlantic
        child:
          $ref: '#/components/schemas/ChildDimensionValue'
      description: List of dimension values associated with this time entry
    EmployeeExpanded:
      required:
        - email
        - firstName
        - id
        - lastName
      type: object
      properties:
        id:
          type: string
          description: Id of the employee
          example: emp_12345
        firstName:
          type: string
          description: First name of the employee
          example: John
        lastName:
          type: string
          description: Last name of the employee
          example: Doe
        email:
          type: string
          description: Email of the employee
          nullable: true
          example: employee@example.com
      description: Employee associated with this time entry
      nullable: true
    JsonNode:
      type: object
      properties:
        empty:
          type: boolean
        array:
          type: boolean
        'null':
          type: boolean
        object:
          type: boolean
        float:
          type: boolean
        string:
          type: boolean
        number:
          type: boolean
        missingNode:
          type: boolean
        valueNode:
          type: boolean
        nodeType:
          type: string
          enum:
            - ARRAY
            - BINARY
            - BOOLEAN
            - MISSING
            - 'NULL'
            - NUMBER
            - OBJECT
            - POJO
            - STRING
        pojo:
          type: boolean
        integralNumber:
          type: boolean
        floatingPointNumber:
          type: boolean
        short:
          type: boolean
        int:
          type: boolean
        long:
          type: boolean
        double:
          type: boolean
        bigDecimal:
          type: boolean
        bigInteger:
          type: boolean
        textual:
          type: boolean
          deprecated: true
        boolean:
          type: boolean
        binary:
          type: boolean
        container:
          type: boolean
        embeddedValue:
          type: boolean
      description: >-
        Custom JSON in which you can store any data with max length of 2000
        characters
      nullable: true
      example:
        internal_key: some_internal_key
        some_other_field: 23434
    InvoiceLineItem:
      type: object
      properties:
        id:
          type: string
          description: Id of the invoice line item
          example: ili_123456
        amount:
          type: integer
          description: Total amount of the invoice line item (in cents)
          format: int32
          example: 5001
      description: Line items of the invoice
    DimensionExpanded:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the dimension
          example: dim_4521
        name:
          type: string
          description: Name of the dimension
          example: Region
        requiredness:
          type: string
          description: Requiredness of the dimension
          example: NOT_REQUIRED
          enum:
            - REQUIRED
            - NOT_REQUIRED
      description: Dimension for this dimension value
    ChildDimensionValue:
      required:
        - id
      type: object
      properties:
        id:
          type: string
          description: Id of the dimension value
          example: dv_593052
        dimension:
          $ref: '#/components/schemas/DimensionExpanded'
        name:
          type: string
          description: Name of the dimension value
          example: Washington DC
        child:
          $ref: '#/components/schemas/ChildDimensionValue'
      description: Child dimension value, if applicable
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````